function bench_linsolve_cholesky(LN,d,nbruns)
  setfun=@(varargin) fc_linalg3D.benchs.set_linsolve_cholesky(varargin{:});
  Lfun={ @(varargin) fc_linalg3D.solver.cholesky(varargin{:}) };

  Comment={'# Solving systems by using cholesky factorization \n'};

  for type={'array3d','array2d'}
    fc_bench.bench(Lfun,setfun,LN,'d',d,'nbruns',nbruns,'rtype',type{1},'comment',Comment,'labelsinfo',true)
  end
end
