function bench_det(LN,d,nbruns)
%  
%  clear all
%  close all
%  
%  LN=10^3*[2:2:10];
%  d=randi([2,5]);
%  nbruns=1;
  setfun=@(varargin) fc_linalg3D.benchs.set_det(varargin{:});

  Lfun={ @(varargin) fc_linalg3D.det.det_Ref(varargin{:}), ...
        @(varargin) fc_linalg3D.det.detLaplace_Cpt(varargin{:}), ...
        @(varargin) fc_linalg3D.det.detLaplace_Mat(varargin{:}), ...
        @(varargin) fc_linalg3D.det.detLaplace_Vec(varargin{:})};
  names={'det','Laplace_Mat','Laplace_Cpt','Laplace_Vec'};

  Error=@(o1,o2) max(abs(o1(:)-o2(:)));
  Comment=['# Computing determinant using fc_linalg3D.det.det* functions\n'];

  fc_bench.bench(Lfun,setfun,LN,'d',d,'nbruns',nbruns,'error',Error,'comment',Comment,'names',names)
end
