function bench_linsolve_tril(LN,d,nbruns)
  setfun=@(varargin) fc_linalg3D.benchs.set_linsolve_tril(varargin{:});
  Lfun={@(varargin) fc_linalg3D.solver.tril_Cpt(varargin{:}), ...
        @(varargin) fc_linalg3D.solver.tril_Mat(varargin{:}), ...
        @(varargin) fc_linalg3D.solver.tril_Vec(varargin{:})};
  Error=@(o1,o2) max(abs(o1(:)-o2(:)));
  Comment=['# Solving lower triangular systems by using fc_linalg3D.solver.tril_* functions\n'];

  for type={'array3d','array2d'}
    fc_bench.bench(Lfun,setfun,LN,'d',d,'nbruns',nbruns,'error',Error,'rtype',type{1},'comment',Comment,'labelsinfo',true)
  end
end
